Subject: Re: [PATCH v3 2/3] PCI: Allow ATS to be always on for pre-CXL devices

From: Jonathan Cameron <[email-masked]>
Date: Mon, 9 Mar 2026 11:50:07 +0000

On Fri, 6 Mar 2026 15:41:16 -0800
Nicolin Chen <[email-masked]> wrote:

> Some NVIDIA GPU/NIC devices, although don't implement the CXL config space,
> they have many CXL-like properties. Call this kind "pre-CXL".
> 
> Similar to CXL.cache capaiblity, these pre-CXL devices also require the ATS
> function even when their RIDs are IOMMU bypassed, i.e. keep ATS "always on"
> v.s. "on demand" when a non-zero PASID line gets enabled in SVA use cases.
> 
> Introduce pci_dev_specific_ats_always_on() quirk function to scan a list of
> IDs for these device. Then, include it pci_ats_always_on().
> 
> Suggested-by: Jason Gunthorpe <[email-masked]>
> Signed-off-by: Nicolin Chen <[email-masked]>
Seems like a reasonably tidy quirk.
Reviewed-by: Jonathan Cameron <[email-masked]>